Skip to main content
POST
Suggest a workbook name
Names a workbook created with a placeholder name (nameSource: "default") from its tabs and dashboard tiles. The name follows the content, at most once per 5 minutes, until the workbook is renamed. Returns the workbook, renamed or as it was. Requires edit access to the workbook.

Authorizations

Authorization
string
header
required

Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.

Path Parameters

deploymentId
number
required
workbookId
number
required

Body

application/json

SuggestWorkbookNameInput

language
string
required
Maximum string length: 35
fallbackName
string | null
Maximum string length: 255

Response

200 - application/json
calculatedFields
object
required
createdAt
required
deploymentId
integer
required
id
integer
required
meta
object
required
name
string
required
type
enum<string>
required
Available options:
FOLDER,
WORKBOOK,
REPORT
updatedAt
required
createdBy
integer
dashboardDraft
object | null
dashboardPublished
object | null
folderId
number | null
folderPath
object[]
isFavorite
boolean | null
promotion
object | null
publishedDashboard
object | null
slug
string | null
user
object | null
userId
number | null